aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/utils/iproute2/files/15-teql
diff options
context:
space:
mode:
authorGabor Juhos <juhosg@openwrt.org>2012-12-02 13:04:03 +0000
committerGabor Juhos <juhosg@openwrt.org>2012-12-02 13:04:03 +0000
commit5d8a7a0ce52e0a052d1dddbac0c018e9d540c35e (patch)
treedb0855d0c91c58d5b41f7ba090083b9c9c854e1e /package/network/utils/iproute2/files/15-teql
parent9691b3f4bf6f0fc96f5582bb7a92f2ebfc967b48 (diff)
downloadupstream-5d8a7a0ce52e0a052d1dddbac0c018e9d540c35e.tar.gz
upstream-5d8a7a0ce52e0a052d1dddbac0c018e9d540c35e.tar.bz2
upstream-5d8a7a0ce52e0a052d1dddbac0c018e9d540c35e.zip
Make teql hotplug script run sooner
In particular, it wants to run before the ntpclient script. Which may block for a long time attempting to do DNS lookups for NTP servers. In my case, that would have *worked* if the new device had been added to teql first, rather than timing out. This was effectively causing a huge delay between an interface coming up, and routing actually starting to work. Signed-off-by: David Woodhouse <David.Woodhouse@intel.com> Signed-off-by: Gabor Juhos <juhosg@openwrt.org> SVN-Revision: 34442
Diffstat (limited to 'package/network/utils/iproute2/files/15-teql')
-rw-r--r--package/network/utils/iproute2/files/15-teql23
1 files changed, 23 insertions, 0 deletions
diff --git a/package/network/utils/iproute2/files/15-teql b/package/network/utils/iproute2/files/15-teql
new file mode 100644
index 0000000000..a0c0e503aa
--- /dev/null
+++ b/package/network/utils/iproute2/files/15-teql
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+. /lib/functions.sh
+
+if [ "$ACTION" != "ifup" ]; then
+ exit
+fi
+
+config_load network
+
+config_get teql $INTERFACE teql
+
+if [ "$teql" != "" ]; then
+ logger Adding device $DEVICE to TEQL master $teql
+ insmod sch_teql
+ tc qdisc add dev $DEVICE root $teql
+
+ # The kernel doesn't let us bring it up until it has at least one
+ # slave. So bring it up now, if it isn't already.
+ if ! cat /sys/class/net/$teql/carrier &>/dev/null; then
+ ifup $teql &
+ fi
+fi